﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RealEstate
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Ad> hirdetesek = Ad.LoadFromCsv(@"..\..\realestates.csv");
            double fszsumma = 0;
            double darab = 0;

            foreach (var item in hirdetesek)
            {
                if (item.Floors == 0) 
                {
                    fszsumma += item.Area;
                    darab++;
                }
            }
            double atlag = fszsumma / darab;
            Console.WriteLine($"6.feladat: A földszinti ingatlanok átlagos alapterülete: {atlag:F2} m2.");

            //6. feladat - Lambda
            //double atlag2 = hirdetesek.Average(h => h.Area);
            double atlag2 = hirdetesek.Where(h => h.Floors == 0).Average(h => h.Area);
            Console.WriteLine($"6.feladat/2: A földszinti ingatlanok átlagos alapterülete: {atlag2:F2} m2.");

            //8. feladat
            List<Ad> tehermentesek = hirdetesek.Where(h => h.FreeOfCharge).ToList().OrderBy(h => h.DistanceTo(47.4164220114023, 19.066342425796986)).ToList();
            Ad legkozelebbi = tehermentesek[0];
            Console.WriteLine("8. feladat: A Mesevár óvodához legközelebbi tehermentes ingatlan adatai: ");
            Console.WriteLine($"\tEladó neve: {legkozelebbi.Seller.Name}");
            Console.WriteLine($"\tEladó telefonja: {legkozelebbi.Seller.Phone}");
            Console.WriteLine($"\tAlapterület: {legkozelebbi.Area}");
            Console.WriteLine($"\tSzobák száma: {legkozelebbi.Rooms}");
        }
    }
}
